%define upstream_name    Config-Model-TkUI
%define upstream_version 1.340

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    GUI for conf editors based on Config::Model
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AnyEvent)
BuildRequires: perl(Config::Model) >= 2.30.0
BuildRequires: perl(Exception::Class)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(Log::Log4perl) >= 1.110.0
BuildRequires: perl(Module::Build) >= 0.340.0
BuildRequires: perl(Pod::POM)
BuildRequires: perl(Test::Memory::Cycle)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Warn) >= 0.110.0
BuildRequires: perl(Tk)
BuildRequires: perl(Tk::DirSelect)
BuildRequires: perl(Tk::Pod)
BuildRequires: perl(Tk::Tree)
BuildRequires: perl(Try::Tiny)
BuildArch:  noarch

Requires:   perl(Config::Model)
%description
This class provides a GUI for the Config::Model manpage.

With this class, the Config::Model manpage and an actual configuration
model (like the Config::Model::Xorg manpage), you get a tool to edit
configuration files (e.g. '/etc/X11/xorg.conf').

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
#xvfb-run -n 12 ./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.340.0-2.mga4
+ Revision: 533444
- Mageia 4 Mass Rebuild

* Fri Aug 30 2013 sander85 <sander85> 1.340.0-1.mga4
+ Revision: 473266
- update to 1.340

* Mon Jun 10 2013 jquelin <jquelin> 1.339.0-1.mga4
+ Revision: 441488
- update to 1.339

* Sun Jan 13 2013 umeabot <umeabot> 1.337.0-2.mga3
+ Revision: 364700
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 1.337.0-1.mga3
+ Revision: 267282
- update to 1.337

* Mon Jun 18 2012 kharec <kharec> 1.336.0-1.mga3
+ Revision: 261497
- update to 1.336

* Thu Dec 08 2011 kharec <kharec> 1.331.0-1.mga2
+ Revision: 179119
- update to 1.331

* Thu Nov 03 2011 jquelin <jquelin> 1.329.0-1.mga2
+ Revision: 162189
- update to 1.329

* Mon Sep 26 2011 jquelin <jquelin> 1.328.0-1.mga2
+ Revision: 148020
- update to 1.328

* Fri Sep 16 2011 takashi <takashi> 1.326.0-1.mga2
+ Revision: 144202
- update to 1.326

* Fri Jul 08 2011 jquelin <jquelin> 1.325.0-1.mga2
+ Revision: 120355
- update to 1.325

* Wed Jun 15 2011 jquelin <jquelin> 1.324.0-1.mga2
+ Revision: 107795
- update to 1.324

* Tue Apr 12 2011 jquelin <jquelin> 1.323.0-1.mga1
+ Revision: 83737
- update to 1.323

* Wed Mar 09 2011 jquelin <jquelin> 1.322.0-1.mga1
+ Revision: 66935
- update to 1.322

* Tue Feb 22 2011 jquelin <jquelin> 1.320.0-1.mga1
+ Revision: 56516
- update to 1.320

* Wed Jan 26 2011 jquelin <jquelin> 1.317.0-1.mga1
+ Revision: 41252
- mageia rebuild
- imported package perl-Config-Model-TkUI

